[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: termcap-compat in repository

Thanks for the info Roger. Maybe symlinking will do the job for me.


Roger Leigh wrote:
On Wed, May 06, 2009 at 03:30:40PM +0800, Rod James Bio wrote:
|I've been running to an error when I am installing "Sun Web Server". After running the setup-script i get:

/usr/src/sun-webserver/./.setup: error while loading shared libraries: libtermcap.so.2: cannot open shared object file: No such file or directory

Now I read somewhere that debian provides this file in "termcap-compat" package but after searching packages.debian.org or apt-cache search that package is not in the debian repo. <packages.debian.org> Can someone verify if the termcap-compat package is indeed missing? And also is it safe to symlink /usr/lib/libtermcap.so to /usr/lib/libtermcap.so.2 just to satisfy the dependency?

No.  termcap is long obsolete.  Even the compatibility wrapper is
now obsolete and gone.  libtermcap.so is actually just a symlink
to libncurses.so, so while it might do what you want it's not
really intended for anything except building old software that wants
to link with it.  It's not the "real" libtermcap.


Reply to: